Debian Bug report logs - #543551
expansion of ${setuptools:Depends} to python-setuptools

version graph

Package: van.pydeb; Maintainer for van.pydeb is Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 25 Aug 2009 18:54:11 UTC

Severity: serious

Found in version 1.2.1-1

Fixed in version 1.3.0-1

Done: Brian Sutherland <brian@vanguardistas.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian Sutherland <brian@vanguardistas.net>:
Bug#543551; Package van.pydeb. (Tue, 25 Aug 2009 18:54:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Brian Sutherland <brian@vanguardistas.net>. (Tue, 25 Aug 2009 18:54:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: expansion of ${setuptools:Depends} to python-setuptools
Date: Tue, 25 Aug 2009 20:50:31 +0200
Package: van.pydeb
Version: 1.2.1-1
Severity: serious

van.pydeb expands ${setuptools:Depends} to python-setuptools for namespace 
packages, which is wrong, leading to build failures for all packages which have 
a build-conflict on python-setuptools and build-depend on a package with such an 
expansion (like python-zope.interface). A dependency on python-pkg-resources is 
sufficent for the support of the namespace package.




Reply sent to Brian Sutherland <brian@vanguardistas.net>:
You have taken responsibility. (Tue, 08 Sep 2009 11:30:55 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 08 Sep 2009 11:30:55 GMT) Full text and rfc822 format available.

Message #10 received at 543551-done@bugs.debian.org (full text, mbox):

From: Brian Sutherland <brian@vanguardistas.net>
To: 543551-done@bugs.debian.org
Subject: Fixed by upstream in 1.3.0
Date: Tue, 8 Sep 2009 12:46:13 +0200
Version: 1.3.0-1

Fixed by upstream, see changelog entry for 1.3.0 at
http://pypi.python.org/pypi/van.pydeb/

-- 
Brian Sutherland




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Oct 2009 07:31:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:31:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.